////////Mariana-Anairam shader by Gigon...

////////Skybox:

textures/el_mariana/ma_sky
{        
	q3map_lightimage textures/el_mariana/lightref.tga
        qer_editorimage textures/el_mariana/el_skybox.tga
        q3map_surfacelight 112
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 0.889885 0.797174 1 75 110 60 
	skyParms env/masky 512 -
}

////////Environement:

textures/el_mariana/orb
{
	qer_editorimage textures/el_mariana/orb.tga
      deformVertexes autoSprite
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/el_mariana/orb.tga
		blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0.5 0.2 0 31
	}
}

textures/el_mariana/orb_blue
{
	qer_editorimage textures/el_mariana/orb_blue.tga
      deformVertexes autoSprite
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/el_mariana/orb_blue.tga
		blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0.5 0.2 0 31
	}
}

textures/el_mariana/verre_nolightmap
{
    qer_editorimage textures/el_mariana/verre.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    tessSize 48
    {
        map textures/el_mariana/verre.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/el_mariana/verre.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/el_mariana/liquide
{
    qer_editorimage textures/el_mariana/liquide.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    //surfaceparm pointlight
    deformVertexes wave 5 sin 0 0.25 0 0.45
    tessSize 192
    {
        map textures/el_mariana/liquide.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/el_mariana/liquide.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

textures/el_mariana/flame
{
    qer_editorimage textures/el_mariana/flame01.tga
    surfaceparm nolightmap
    deformVertexes autoSprite2
    cull disable
    {
        animMap 6 textures/el_mariana/flame01.tga textures/el_mariana/flame02.tga textures/el_mariana/flame03.tga textures/el_mariana/flame04.tga 
        blendFunc GL_ONE GL_SRC_ALPHA
    }
}

textures/el_mariana/botche
{
    q3map_lightimage textures/el_mariana/botche.tga
    qer_editorimage textures/el_mariana/botche.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_mariana/botche.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod scroll 0.006 0.012
    }
    {
        map textures/el_mariana/botche.tga
        blendFunc GL_ZERO GL_SRC_COLOR
        tcMod scroll -0.005 -0.092
    }
    {
        map textures/el_mariana/botche.tga
        blendFunc GL_ONE GL_ONE
    }
}

////////Shines:

textures/el_mariana/cuivre
{
    {
        map textures/el_mariana/cuivre.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_mariana/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_mariana/or
{
    {
        map textures/el_mariana/or.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_mariana/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_mariana/noir_01
{
    {
        map textures/el_mariana/noir_01.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_mariana/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

////////Alpha chanel textures:

textures/el_mariana/chaine
{
    surfaceparm alphashadow
    deformVertexes autoSprite2
    cull disable
    {
        map textures/el_mariana/chaine.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    rgbGen identity
    }
}

textures/el_mariana/fence
{
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/fence.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/fence2
{
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/fence2.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/wagonwheel
{
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/wagonwheel.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/wagonwheeltrim
{
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/wagonwheeltrim.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

////////Banieres:

textures/el_mariana/b_anairam00
{
    surfaceparm nonsolid
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/b_anairam00.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/b_anairam01
{
    surfaceparm nonsolid
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/b_anairam01.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/b_lessart
{
    surfaceparm nonsolid
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/b_lessart.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_mariana/b_tarp
{
    surfaceparm nonsolid
    surfaceparm trans
    cull disable
    {
        map textures/el_mariana/b_tarp.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

////////Dcalques:

textures/el_mariana/d_pantagram
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_mariana/d_pantagram.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}
